Skip to main content
`Ctrl`+`K`

# DMDAGetCoordinateName

Gets the name of a coordinate direction associated with a `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateName(DM dm, PetscInt nf, const char *name[])

Not Collective; name will contain a common value; No Fortran Support

## Input Parameters

- dm - the `DMDA`

- nf - number for the `DMDA` (0, 1, … dim-1)

## Output Parameter

- name - the name of the coordinate direction

## Note

It must be called after having called `DMSetUp()`.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDASetCoordinateName()`, `DMDASetFieldName()`, `DMDAGetFieldName()`, `DMSetUp()`

## Level

intermediate

## Location

src/dm/impls/da/dacorn.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages